QT += core gui
QT += network
QT += widgets

CONFIG += c++11
CONFIG += lrelease
CONFIG += embed_translations

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


INCLUDEPATH += $$PWD/WpdPack_4_1_2/Include
LIBS += -L$$PWD/WpdPack_4_1_2/Lib/\
        -lwpcap\
        -lpacket
        -lWs2_32

msvc {
    QMAKE_CXXFLAGS += -execution-charset:utf-8
    QMAKE_CXXFLAGS += -source-charset:utf-8

    CONFIG += force_debug_info
    CONFIG += separate_debug_info
}
win* {
    LIBS += -lDbghelp
}
win32 {
    QMAKE_LFLAGS += /LARGEADDRESSAWARE
}

SOURCES += \
    basewin.cpp \
    brightwin.cpp \
    crc.c \
    expertboxlayoutwin.cpp \
    expertscreenconnwin.cpp \
    expertsmartpointsetwin.cpp \
    expertwin.cpp \
    fast.cpp \
    globalfunc.cpp \
    gutil/qgui.cpp \
    main.cpp \
    mainwin.cpp \
    moduleunit.cpp \
    pcaprethread.cpp \
    pcapwin.cpp \
    screenunit.cpp \
    videowin.cpp

HEADERS += \
    basewin.h \
    brightwin.h \
    crc.h \
    expertboxlayoutwin.h \
    expertscreenconnwin.h \
    expertsmartpointsetwin.h \
    expertwin.h \
    fast.h \
    globalfunc.h \
    gutil/qgui.h \
    mainwin.h \
    moduleunit.h \
    pcaprethread.h \
    pcapwin.h \
    screenunit.h \
    videowin.h

TRANSLATIONS += \
    translations/app_en.ts

EXTRA_TRANSLATIONS += \
    translations/qt_zh_CN.ts \
    translations/qt_zh_TW.ts \
    translations/qt_ja.ts \
    translations/qt_en.ts

RESOURCES += \
    res.qrc

RC_ICONS = 128.ico

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
